# Managed API for monday.com
Managed API for monday.com is an API Client for monday.com by [Adaptavist](https://www.adaptavist.com/) primarily designed for the use in [ScriptRunner Connect](https://scriptrunnerconnect.com). You can read more about Managed APIs [here](https://docs.adaptavist.com/src/managed-apis).

This is a runtime agnostic version of the Managed API (with `core` suffix) that makes it easy to port it to any runtime you may want to use this Managed API on.

# Platform specific ports
- [ScriptRunner Connect](https://www.npmjs.com/package/@managed-api/monday-sr-connect)

# Supported API calls
- [fetch](https://docs.adaptavist.com/src/managed-apis/managed-api-abstractions)
- Board
    - [archiveBoard](https://developer.monday.com/api-reference/docs/boards#archive-a-board)
    - [createBoard](https://developer.monday.com/api-reference/docs/boards#create-a-board)
    - [deleteBoard](https://developer.monday.com/api-reference/docs/boards#delete-a-board)
    - [deleteSubscribersFromBoard](https://developer.monday.com/api-reference/docs/boards#delete-subscribers-from-a-board)
    - [duplicateBoard](https://developer.monday.com/api-reference/docs/boards#duplicate-a-board)
    - [getBoards](https://developer.monday.com/api-reference/docs/boards#queries)
    - [updateBoard](https://developer.monday.com/api-reference/docs/boards#update-a-board)
    - View
        - [getViews](https://developer.monday.com/api-reference/docs/board-view-queries#queries)
    - Group
        - [getGroups](https://developer.monday.com/api-reference/docs/groups#queries)
        - [createGroup](https://developer.monday.com/api-reference/docs/groups#create-a-group)
        - [updateGroup](https://developer.monday.com/api-reference/docs/groups#update-a-group)
        - [duplicateGroup](https://developer.monday.com/api-reference/docs/groups#duplicate-group)
        - [archiveGroup](https://developer.monday.com/api-reference/docs/groups#archive-a-group)
        - [deleteGroup](https://developer.monday.com/api-reference/docs/groups#delete-a-group)
    - ItemsPage
        - [getItemsPage](https://developer.monday.com/api-reference/docs/items_page#queries)
    - Tag
        - [getTags](https://developer.monday.com/api-reference/docs/tags-queries#queries)
- Column
    - [changeColumnMetadata](https://developer.monday.com/api-reference/docs/columns#change-column-metadata)
    - [changeColumnTitle](https://developer.monday.com/api-reference/docs/columns#change-a-column-title)
    - [changeColumnValue](https://developer.monday.com/api-reference/docs/columns#change-a-column-value)
    - [changeMultipleColumnValues](https://developer.monday.com/api-reference/docs/columns#change-multiple-column-values)
    - [changeSimpleColumnValue](https://developer.monday.com/api-reference/docs/columns#change-a-simple-column-value)
    - [createColumn](https://developer.monday.com/api-reference/docs/columns#create-a-column)
    - [deleteColumn](https://developer.monday.com/api-reference/docs/columns#delete-a-column)
- File
    - [addFileToColumn](https://developer.monday.com/api-reference/docs/files#add-file-to-the-file-column)
    - [addFileToUpdate](https://developer.monday.com/api-reference/docs/files#add-a-file-to-an-update)
    - [getAssets](https://developer.monday.com/api-reference/docs/files#queries)
- Item
    - [archiveItem](https://developer.monday.com/api-reference/docs/items#archive-an-item)
    - [clearUpdates](https://developer.monday.com/api-reference/docs/items#clear-an-items-updates)
    - [createItem](https://developer.monday.com/api-reference/docs/items#create-an-item)
    - [deleteItem](https://developer.monday.com/api-reference/docs/items#delete-an-item)
    - [duplicateItem](https://developer.monday.com/api-reference/docs/items#duplicate-an-item)
    - [getItems](https://developer.monday.com/api-reference/docs/items#queries)
    - [moveItemToGroup](https://developer.monday.com/api-reference/docs/items#move-item-to-group)
    - [moveItemToBoard](https://developer.monday.com/api-reference/docs/items#move-item-to-board)
    - Subitem
        - [createSubitem](https://developer.monday.com/api-reference/docs/subitems#create-a-subitem)
        - [getSubitems](https://developer.monday.com/api-reference/docs/subitems#queries)
- ItemsPage
    - [getNextItemsPage](https://developer.monday.com/api-reference/docs/items_page#cursor-based-pagination-using-next_items_page)
    - [getItemsPageByColumnValues](https://developer.monday.com/api-reference/docs/items-page-by-column-values)
- Me
    - [getUserDetails](https://developer.monday.com/api-reference/docs/me#queries)
- Notification
    - [createNotification](https://developer.monday.com/api-reference/docs/notification#create-a-notification)
- Team
    - [getTeams](https://developer.monday.com/api-reference/docs/teams#queries)
    - [addTeamsToBoard](https://developer.monday.com/api-reference/docs/teams#add-teams-to-a-board)
    - [addTeamsToWorkspace](https://developer.monday.com/api-reference/docs/teams#add-teams-to-a-workspace)
    - [deleteTeamsFromWorkspace](https://developer.monday.com/api-reference/docs/teams#delete-teams-from-a-workspace)
    - [deleteTeamsFromBoard](https://developer.monday.com/api-reference/docs/teams#delete-teams-from-a-board)
    - [addUsersToTeam](https://developer.monday.com/api-reference/reference/users#add-users-to-a-team)
    - [removeUsersFromTeam](https://developer.monday.com/api-reference/reference/users#remove-users-from-a-team)
- User
    - [addUsersToBoard](https://developer.monday.com/api-reference/docs/users#add-users-to-a-board)
    - [addUsersToWorkspace](https://developer.monday.com/api-reference/docs/users#add-users-to-a-workspace)
    - [deleteUsersFromWorkspace](https://developer.monday.com/api-reference/docs/users#delete-users-from-a-workspace)
    - [getUsers](https://developer.monday.com/api-reference/docs/users#queries)
- Workspace
  - [createWorkspace](https://developer.monday.com/api-reference/docs/workspaces#create-a-workspace)
  - [updateWorkspace](https://developer.monday.com/api-reference/reference/workspaces#update-a-workspace)
  - [deleteWorkspace](https://developer.monday.com/api-reference/docs/workspaces#delete-a-workspace)
  - [getWorkspaces](https://developer.monday.com/api-reference/docs/workspaces#queries)
- Folder
  - [getFolders](https://developer.monday.com/api-reference/docs/folders#queries)
  - [createFolder](https://developer.monday.com/api-reference/docs/folders#create-a-folder)
  - [updateFolder](https://developer.monday.com/api-reference/docs/folders#update-a-folder)
  - [deleteFolder](https://developer.monday.com/api-reference/docs/folders#delete-a-folder)
- Update
  - [getUpdates](https://developer.monday.com/api-reference/docs/updates#queries)
  - [createUpdate](https://developer.monday.com/api-reference/docs/updates#create-an-update)
  - [likeUpdate](https://developer.monday.com/api-reference/docs/updates#like-an-update)
  - [deleteUpdate](https://developer.monday.com/api-reference/docs/updates#delete-an-update)
- Doc
  - [getDocs](https://developer.monday.com/api-reference/docs/docs#queries)
  - [createDoc](https://developer.monday.com/api-reference/docs/docs#create-a-doc)
  - DocBlock
    - [getDocBlocks](https://developer.monday.com/api-reference/docs/blocks#queries)
    - [createDocBlock](https://developer.monday.com/api-reference/docs/blocks#create-document-block)
    - [updateDocBlock](https://developer.monday.com/api-reference/docs/blocks#update-document-block)
    - [deleteDocBlock](https://developer.monday.com/api-reference/docs/blocks#delete-document-block)
- Tag
  - [getTags](https://developer.monday.com/api-reference/docs/tags-queries#queries)
  - [createOrGetTag](https://developer.monday.com/api-reference/docs/tags-queries#create-or-get-a-tag)
- Version
  - [getVersion](https://developer.monday.com/api-reference/docs/version#queries)
  - [getVersions](https://developer.monday.com/api-reference/docs/versions#queries)
- Webhook
  - [getWebhooks](https://developer.monday.com/api-reference/docs/webhooks#queries)
  - [createWebhook](https://developer.monday.com/api-reference/docs/webhooks#create-a-webhook)
  - [deleteWebhook](https://developer.monday.com/api-reference/docs/webhooks#delete-a-webhook)

# Porting to other runtimes
While the primary reason for creating Managed APIs was to use them in [ScriptRunner Connect](https://scriptrunnerconnect.com) runtime, then you can easily port them to any runtime of your choosing.

You can do so by extending the `*Core` Managed API class where you'll be asked to provide implementation for `getPlatformImplementation` function. In this implementation you have yo specify how to perform buffer encoding/decoding operations and how to perform HTTP calls:
```typescript
{
    buffer: {
        encode(input: string): ArrayBuffer;
        decode(input: ArrayBuffer): string;
    },
    performHttpCall(request: Request): Promise<Response>
}
```

Here is an example how to create a [Node](https://nodejs.org/en/) port of the Managed API:
```typescript
import { MondayApiCore } from "@managed-api/monday-core";
import { PlatformImplementation, Request, Response, Headers } from "@managed-api/commons-core";
import fetch from "node-fetch";

export class MondayApi extends MondayApiCore {
    constructor(private baseUrl: string, private authToken: string) {
        super();
    }

    protected getPlatformImplementation(): PlatformImplementation {
        return {
            buffer: {
                encode: (input) => Buffer.from(input, 'utf-8'),
                decode: (input) => Buffer.from(input).toString('utf-8')
            },
            performHttpCall: (request) => this.performHttpCall(request)
        };
    }

    private async performHttpCall(request: Request): Promise<Response> {
        const requestUrl = `${this.baseUrl}${request.url}`; // Substitute base URL
        request.headers.set('Authorization', `Basic ${this.authToken}`); // Substitute auth token
        const response = await fetch(requestUrl, {
            method: request.method,
            headers: request.headers as any,
            body: request.method.toLowerCase() !== 'get' ? Buffer.from((await request.arrayBuffer()) ?? new ArrayBuffer(0)) : undefined
        });

        const apiHeaders = new Headers();
        response.headers.forEach((value, key) => apiHeaders.append(key, value));

        const body = await response.arrayBuffer();

        return super.buildResponse(response.url, response.status, response.statusText, apiHeaders, body);
    }
}
```

Please note that the authentication handling details may not be accurate and serve as an example. If you wish yo use these Managed APIs without having to concern yourself how to deal with and secure authentication details when working with APIs, then feel free to evaluate [ScriptRunner Connect](https://scriptrunnerconnect.com) platform.

# Contact
At this time Managed APIs are unlicensed and close sourced, but feel free to drop an email to [eknoll@adaptavist.com](mailto://eknoll@adaptavist.com) for ideas, suggestions and improvements.

# Changelog
# 2.28.0
- Updated development setup instructions
# 2.27.0
- Pass `update_id` as `ID` in `Update.likeUpdate`.
# 2.26.0
- Add build script for local development and testing.
# 2.25.0
- Fix issue where `column_value.column` was incorrectly labelled as an array.
# 2.24.0
- Add missing type options related to nested `items_page`.
- Pass API version down to nested types.
# 2.23.0
- Update `Group` queries and mutations to return an `items_page` instead of `items`.
# 2.22.0
- Fix `getWebhooks` response.
# 2.21.0
- Add `is_default_workspace` field to `workspace` queries.
# 2.20.0
- Add `relative_to` and `position_relative_method` to `Item.createItem`.
# 2.19.0
- Add `display_name` field to `version` queries.
- Update `kind` enum values in `version` queries.
# 2.18.0
- Convert id arguments in all managed APIs to use `ID` type.
- Add missing `after_column_id` arg to `Column.createColumn`.
- Fix return type of `item.id`.
# 2.17.0
- Update common cores package to version `0.3.14`.
# 2.16.0
- # Support for the following Team methods:
  - [addUsersToTeam](https://developer.monday.com/api-reference/reference/users#add-users-to-a-team) that can be used as `Team.addUsersToTeam` or `All.addUsersToTeam`.
  - [removeUsersFromTeam](https://developer.monday.com/api-reference/reference/users#remove-users-from-a-team) that can be used as `Team.removeUsersFromTeam` or `All.removeUsersFromTeam`.
# 2.15.0
- # Added support for the following Workspace methods:
  - [updateWorkspace](https://developer.monday.com/api-reference/reference/workspaces#update-a-workspace) that can be used as `Workspace.updateWorkspace` or `All.updateWorkspace`
# 2.14.0
- Support `voters` field in [VoteValue](https://developer.monday.com/api-reference/reference/vote#fields) fragment.
# 2.13.0
- Support for `group_color` argument in [createGroup](https://developer.monday.com/api-reference/reference/groups#create-a-group).
# 2.12.0
- Support version 2024-04 of Monday API.
- Support `url` field in boards and items.
# 2.11.0
- # Added support for the following Team methods:
  - [deleteTeamsFromBoard](https://developer.monday.com/api-reference/docs/teams#delete-teams-from-a-board) that can be used as `Team.deleteTeamsFromBoard` or `All.deleteTeamsFromBoard`.
# 2.10.0
- Implement remaining [column value fragments](https://developer.monday.com/api-reference/docs/column-types-reference).
# 2.9.0
- Fixing response objects for ItemsPage.getItemsPage.
# 2.8.0
- Allow access to `__typename` field in returned GraphQL objects.
# 2.7.0
- Fix issue with `items_page` managed API preventing Monday from accepting `query_params` arguments.
# 2.6.0
- Support for [StatusValue](https://developer.monday.com/api-reference/docs/status#reading-the-status-column) and [TimelineValue](https://developer.monday.com/api-reference/docs/timeline#reading-the-timeline-column) fragments.
# 2.5.0
- Support for [complexity](https://developer.monday.com/api-reference/docs/complexity) queries to monitor the cost of each operation you make
# 2.4.0
- Using api version 2023-10 as default. Removing support for 2023-07
# 2.2.0
- # Added support for the following Folder methods:
  - [getFolders](https://developer.monday.com/api-reference/docs/folders#queries) that can be used as `Folder.getFolders` or `All.getFolders`
  - [createFolder](https://developer.monday.com/api-reference/docs/folders#create-a-folder) that can be used as `Folder.createFolder` or `All.createFolder`
  - [updateFolder](https://developer.monday.com/api-reference/docs/folders#update-a-folder) that can be used as `Folder.updateFolder` or `All.updateFolder`
  - [deleteFolder](https://developer.monday.com/api-reference/docs/folders#delete-a-folder) that can be used as `Folder.deleteFolder` or `All.deleteFolder`
# 2.0.0
- Converted all enum types to union types, for easier autocompletion suggestions
# 1.18.0
- # Added support for the following Webhook methods:
  - [getWebhooks](https://developer.monday.com/api-reference/docs/webhooks#queries) that can be used as `Webhook.getWebhooks` or `All.getWebhooks` 
  - [createWebhook](https://developer.monday.com/api-reference/docs/webhooks#create-a-webhook) that can be used as `Webhook.createWebhook` or `All.createWebhook`
  - [deleteWebhook](https://developer.monday.com/api-reference/docs/webhooks#delete-a-webhook) that can be used as `Webhook.deleteWebhook` or `All.deleteWebhook`
# 1.17.0
- # Added column fields to column_values return type.
# 1.16.0
- # Added support for the following Version methods:
  - [getVersion](https://developer.monday.com/api-reference/docs/version#queries) that can be used as `Version.getVersion` or `All.getVersion`
  - [getVersions](https://developer.monday.com/api-reference/docs/versions#queries) that can be used as `Version.getVersions` or `All.getVersions`
# 1.15.0
- # Added support for the following Tag methods:
  - [getTags](https://developer.monday.com/api-reference/docs/tags-queries#queries) that can be used as `Tag.getTags` or `All.getTags`
  - [getTags](https://developer.monday.com/api-reference/docs/tags-queries#queries) that can be used as `Board.Tag.getTags`
  - [createOrGetTag](https://developer.monday.com/api-reference/docs/tags-queries#create-or-get-a-tag) that can be used as `Tag.createOrGetTag` or `All.createOrGetTag`
# 1.14.0
- # Added support for the following Doc methods:
  - [getDocs](https://developer.monday.com/api-reference/docs/docs#queries) that can be used as `Doc.getDocs` or `All.getDocs`
  - [createDoc](https://developer.monday.com/api-reference/docs/docs#create-a-doc) that can be used as `Doc.createDoc` or `All.createDoc`
- # Added support for the following DocBlock methods:
  - [getDocBlocks](https://developer.monday.com/api-reference/docs/blocks#queries) that can be used as `Doc.DocBlock.getDocBlocks` or `All.getDocBlocks`
  - [createDocBlock](https://developer.monday.com/api-reference/docs/blocks#create-document-block) that can be used as `Doc.DocBlock.createDocBlock` or `All.createDocBlock`
  - [updateDocBlock](https://developer.monday.com/api-reference/docs/blocks#update-document-block) that can be used as `Doc.DocBlock.updateDocBlock` or `All.updateDocBlock`
  - [deleteDocBlock](https://developer.monday.com/api-reference/docs/blocks#delete-document-block) that can be used as `Doc.DocBlock.deleteDocBlock` or `All.deleteDocBlock`
# 1.13.0
- # Added support for all managed API methods for api 2023-10
# 1.11.0
- # Added support for the following ItemsPage methods:
  - [getItemsPage](https://developer.monday.com/api-reference/docs/items_page#queries) that can be used as `Board.ItemsPage.getItemsPage` or `All.getItemsPage`
  - [getNextItemsPage](https://developer.monday.com/api-reference/docs/items_page#cursor-based-pagination-using-next_items_page) that can be used as `Board.getNextItemsPage` or `All.getNextItemsPage`
  - [getItemsPageByColumnValues](https://developer.monday.com/api-reference/docs/items-page-by-column-values) that can be used as `Board.getItemsPageByColumnValues` or `All.getItemsPageByColumnValues`
# 1.9.0
- # Added support for the following Team methods:
  - [getTeams](https://developer.monday.com/api-reference/docs/teams#queries) that can be used as `Team.getTeams` or `All.getTeams`
  - [addTeamsToBoard](https://developer.monday.com/api-reference/docs/teams#add-teams-to-a-board) that can be used as `Team.addTeamsToBoard` or `All.addTeamsToBoard`
  - [addTeamsToWorkspace](https://developer.monday.com/api-reference/docs/teams#add-teams-to-a-workspace) that can be used as `Team.addTeamsToWorkspace` or `All.addTeamsToWorkspace`
  - [deleteTeamsFromWorkspace](https://developer.monday.com/api-reference/docs/teams#delete-teams-from-a-workspace) that can be used as `Team.deleteTeamsFromWorkspace` or `All.deleteTeamsFromWorkspace`
# 1.8.0
- # Added support for the following Update methods:
  - [getUpdates](https://developer.monday.com/api-reference/docs/updates#queries) that can be used as `Update.getUpdates` or `All.getUpdates`.
  - [createUpdate](https://developer.monday.com/api-reference/docs/updates#create-an-update) that can be used as `Update.createUpdate` or `All.createUpdate`.
  - [likeUpdate](https://developer.monday.com/api-reference/docs/updates#like-an-update) that can be used as `Update.likeUpdate` or `All.likeUpdate`.
  - [deleteUpdate](https://developer.monday.com/api-reference/docs/updates#delete-an-update) that can be used as `Update.deleteUpdate` or `All.deleteUpdate`.
# 1.7.0
- # Added support for the following Item methods:
  - [moveItemToBoard](https://developer.monday.com/api-reference/docs/items#move-item-to-board) that can be used as `Item.moveItemToBoard` or `All.moveItemToBoard`.
# 1.6.0
- # Added support for the following Group methods:
  - [updateGroup](https://developer.monday.com/api-reference/docs/groups#update-a-group) that can be used as `Board.Group.updateGroup` or `All.updateGroup`.
  - [archiveGroup](https://developer.monday.com/api-reference/docs/groups#archive-a-group) that can be used as `Board.Group.archiveGroup` or `All.archiveGroup`.
  - [duplicateGroup](https://developer.monday.com/api-reference/docs/groups#duplicate-group) that can be used as `Board.Group.duplicateGroup` or `All.duplicateGroup`.
  - [deleteGroup](https://developer.monday.com/api-reference/docs/groups#delete-a-group) that can be used as `Board.Group.deleteGroup` or `All.deleteGroup`. 
# 1.5.0
- # Added support for the following Group methods:
  - [createGroup](https://developer.monday.com/api-reference/docs/groups#create-a-group) that can be used as `Board.Group.createGroup` or `All.createGroup`.
# 1.4.0
- # Added support for the following Workspace methods:
  - [createWorkspace](https://developer.monday.com/api-reference/docs/workspaces#create-a-workspace) that can be used as `Workspace.createWorkspace` or `All.createWorkspace`.
  - [deleteWorkspace](https://developer.monday.com/api-reference/docs/workspaces#delete-a-workspace) that can be used as `Workspace.deleteWorkspace` or `All.deleteWorkspace`.
  - [getWorkspaces](https://developer.monday.com/api-reference/docs/workspaces#queries) that can be used as `Workspace.getWorkspaces` or `All.getWorkspaces`.
# 1.3.0
- # Added support for the following Group methods:
    - [getGroups](https://developer.monday.com/api-reference/docs/groups#queries)
# 1.2.0
- # Added support for the following Notification methods:
    - [createNotification](https://developer.monday.com/api-reference/docs/notification#create-a-notification) that can be used as `Notification.createNotification` or `All.createNotification`.
# 0.10.0
- Changed type from `number[]` to `string[]` of `ids` field in `groups` arguments for Board fields.
# 0.8.0
- # Added support for the following Column methods:
    - [changeColumnMetadata](https://developer.monday.com/api-reference/docs/columns#change-column-metadata) that can be used as `Column.changeColumnMetadata` or `All.changeColumnMetadata`.
    - [changeColumnTitle](https://developer.monday.com/api-reference/docs/columns#change-a-column-title) that can be used as `Column.changeColumnTitle` or `All.changeColumnTitle`.
    - [changeColumnValue](https://developer.monday.com/api-reference/docs/columns#change-a-column-value) that can be used as `Column.changeColumnValue` or `All.changeColumnValue`.
    - [changeMultipleColumnValues](https://developer.monday.com/api-reference/docs/columns#change-multiple-column-values) that can be used as `Column.changeMultipleColumnValues` or `All.changeMultipleColumnValues`.
    - [changeSimpleColumnValue](https://developer.monday.com/api-reference/docs/columns#change-a-simple-column-value) that can be used as `Column.changeSimpleColumnValue` or `All.changeSimpleColumnValue`.
    - [createColumn](https://developer.monday.com/api-reference/docs/columns#create-a-column) that can be used as `Column.createColumn` or `All.createColumn`.
    - [deleteColumn](https://developer.monday.com/api-reference/docs/columns#delete-a-column) that can be used as `Column.deleteColumn` or `All.deleteColumn`.
# 0.5.0
- # Added support for the following Board methods:
    - [archiveBoard](https://developer.monday.com/api-reference/docs/boards#archive-a-board) that can be used as `Board.archiveBoard` or `All.archiveBoard`.
    - [createBoard](https://developer.monday.com/api-reference/docs/boards#create-a-board) that can be used as `Board.createBoard` or `All.createBoard`.
    - [deleteBoard](https://developer.monday.com/api-reference/docs/boards#delete-a-board) that can be used as `Board.deleteBoard` or `All.deleteBoard`.
    - [deleteSubscribersFromBoard](https://developer.monday.com/api-reference/docs/boards#delete-subscribers-from-a-board) that can be used as `Board.deleteSubscribersFromBoard` or `All.deleteSubscribersFromBoard`.
    - [duplicateBoard](https://developer.monday.com/api-reference/docs/boards#duplicate-a-board) that can be used as `Board.duplicateBoard` or `All.duplicateBoard`.
    - [getBoards](https://developer.monday.com/api-reference/docs/boards#queries) that can be used as `Board.getBoards` or `All.getBoards`.
    - [updateBoard](https://developer.monday.com/api-reference/docs/boards#update-a-board) that can be used as `Board.updateBoard` or `All.updateBoard`.
- # Added support for the following Board.View methods:
    - [getViews](https://developer.monday.com/api-reference/docs/board-view-queries#queries) that can be used as `Board.View.getViews` or `All.getBoardViews`.
- # Added support for the following File methods:
    - [addFileToColumn](https://developer.monday.com/api-reference/docs/files#add-file-to-the-file-column) that can be used as `File.addFileToColumn` or `All.addFileToColumn`.
    - [addFileToUpdate](https://developer.monday.com/api-reference/docs/files#add-a-file-to-an-update) that can be used as `File.addFileToUpdate` or `All.addFileToUpdate`.
    - [getAssets](https://developer.monday.com/api-reference/docs/files#queries) that can be used as `File.getAssets` or `All.getAssets`.
- # Added support for the following Item methods:
    - [archiveItem](https://developer.monday.com/api-reference/docs/items#archive-an-item) that can be used as `Item.archiveItem` or `All.archiveItem`.
    - [clearUpdates](https://developer.monday.com/api-reference/docs/items#clear-an-items-updates) that can be used as `Item.clearUpdates` or `All.clearItemUpdates`.
    - [createItem](https://developer.monday.com/api-reference/docs/items#create-an-item) that can be used as `Item.createItem` or `All.createItem`.
    - [deleteItem](https://developer.monday.com/api-reference/docs/items#delete-an-item) that can be used as `Item.deleteItem` or `All.deleteItem`.
    - [duplicateItem](https://developer.monday.com/api-reference/docs/items#duplicate-an-item) that can be used as `Item.duplicateItem` or `All.duplicateItem`.
    - [getItems](https://developer.monday.com/api-reference/docs/items#queries) that can be used as `Item.getItems` or `All.getItems`.
    - [moveItemToGroup](https://developer.monday.com/api-reference/docs/items#move-item-to-group) that can be used as `Item.moveItemToGroup` or `All.moveItemToGroup`.
- # Added support for the following Item.Subitem methods:
    - [createSubitem](https://developer.monday.com/api-reference/docs/subitems#create-a-subitem) that can be used as `Item.Subitem.createSubitem` or `All.createSubitem`.
    - [getSubitems](https://developer.monday.com/api-reference/docs/subitems#queries) that can be used as `Item.Subitem.getSubitems` or `All.getSubitems`.
- # Added support for the following Me methods:
    - [getUserDetails](https://developer.monday.com/api-reference/docs/me#queries) that can be used as `Me.getUserDetails` or `All.getUserDetails`.
- # Added support for the following User methods:
    - [addUsersToBoard](https://developer.monday.com/api-reference/docs/users#add-users-to-a-board) that can be used as `User.addUsersToBoard` or `All.addUsersToBoard`.
    - [addUsersToWorkspace](https://developer.monday.com/api-reference/docs/users#add-users-to-a-workspace) that can be used as `User.addUsersToWorkspace` or `All.addUsersToWorkspace`.
    - [deleteUsersFromWorkspace](https://developer.monday.com/api-reference/docs/users#delete-users-from-a-workspace) that can be used as `User.deleteUsersFromWorkspace` or `All.deleteUsersFromWorkspace`.
    - [getUsers](https://developer.monday.com/api-reference/docs/users#queries) that can be used as `User.getUsers` or `All.getUsers`.

Copyright Adaptavist 2023 (c) All rights reserved