import { OperationFields } from './typeOptions';
export declare type SelectAccountProductReturnType<S extends AccountProductFields> = {
    [P in keyof S]: P extends keyof AccountProductReturnType ? AccountProductReturnType[P] : AccountProductReturnType;
};
export interface AccountProductFields extends OperationFields {
    /**
     * The account product id
     */
    id?: boolean;
    /**
     * The account product kind (core / marketing / crm / software / projectManagement / project_management / forms / whiteboard).
     */
    kind?: boolean;
}
export interface AccountProductReturnType {
    /**
     * The account product id
     */
    id: number;
    /**
     * The account product kind (core / marketing / crm / software / projectManagement / project_management / forms / whiteboard).
     */
    kind: 'core' | 'marketing' | 'crm' | 'software' | 'projectManagement' | 'project_management' | 'forms' | 'whiteboard' | null;
}
//# sourceMappingURL=accountProduct.d.ts.map