/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { OperationFields } from './typeOptions';
import { BoardReturnType, BoardFields, SelectBoardReturnType } from './board';
export declare type SelectBoardDuplicationReturnType<S extends BoardDuplicationFields> = {
    [P in keyof S]: P extends 'board' ? SelectBoardReturnType<NonNullable<S['board']>['fields']> : P extends keyof BoardDuplicationReturnType ? BoardDuplicationReturnType[P] : BoardDuplicationReturnType;
};
export interface BoardDuplicationFields extends OperationFields {
    /**
     * The new board created by the duplication
     */
    board?: {
        fields: BoardFields;
    };
    /**
     * Was the board duplication performed asynchronously
     */
    is_async?: boolean;
}
export interface BoardDuplicationReturnType {
    /**
     * The new board created by the duplication
     */
    board: BoardReturnType;
    /**
     * Was the board duplication performed asynchronously
     */
    is_async: boolean;
}
//# sourceMappingURL=boardDuplication.d.ts.map