/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { OperationFields } from './typeOptions';
export declare type SelectBoardViewReturnType<S extends BoardViewFields> = {
    [P in keyof S]: P extends keyof BoardViewReturnType ? BoardViewReturnType[P] : BoardViewReturnType;
};
export interface BoardViewFields extends OperationFields {
    /**
     * The view's unique identifier.
     */
    id?: boolean;
    /**
     * The view's name.
     */
    name?: boolean;
    /**
     * The view's settings in a string form.
     */
    settings_str?: boolean;
    /**
     * The view's type.
     */
    type?: boolean;
    /**
     * Specific board view data (supported only for forms)
     */
    view_specific_data_str?: boolean;
}
export interface BoardViewReturnType {
    /**
     * The view's unique identifier.
     */
    id: string;
    /**
     * The view's name.
     */
    name: string;
    /**
     * The view's settings in a string form.
     */
    settings_str: string;
    /**
     * The view's type.
     */
    type: string;
    /**
     * Specific board view data (supported only for forms)
     */
    view_specific_data_str: string;
}
//# sourceMappingURL=boardView.d.ts.map