import { OperationFields } from './typeOptions';
export declare type SelectColumnReturnType<S extends ColumnFields> = {
    [P in keyof S]: P extends keyof ColumnReturnType ? ColumnReturnType[P] : ColumnReturnType;
};
export interface ColumnFields extends OperationFields {
    /**
     * Is the column archived or not.
     */
    archived?: boolean;
    /**
     * The column's description.
     */
    description?: boolean;
    /**
     * The column's unique identifier.
     */
    id?: boolean;
    /**
     * The column's settings in a string form.
     */
    settings_str?: boolean;
    /**
     * The column's title.
     */
    title?: boolean;
    /**
     * The column's type.
     */
    type?: boolean;
    /**
     * The column's width.
     */
    width?: boolean;
}
export interface ColumnReturnType {
    /**
     * Is the column archived or not.
     */
    archived: boolean;
    /**
     * The column's description.
     */
    description: string | null;
    /**
     * The column's unique identifier.
     */
    id: string;
    /**
     * The column's settings in a string form.
     */
    settings_str: string;
    /**
     * The column's title.
     */
    title: string;
    /**
     * The column's type.
     */
    type: string;
    /**
     * The column's width.
     */
    width: number | null;
}
export declare type ColumnType = 'auto_number' | 'board_relation' | 'button' | 'checkbox' | 'color_picker' | 'country' | 'creation_log' | 'date' | 'dependency' | 'doc' | 'dropdown' | 'email' | 'file' | 'formula' | 'hour' | 'integration' | 'item_assignees' | 'item_id' | 'last_updated' | 'link' | 'location' | 'long_text' | 'mirror' | 'name' | 'numbers' | 'people' | 'phone' | 'progress' | 'rating' | 'status' | 'subtasks' | 'tags' | 'team' | 'text' | 'timeline' | 'time_tracking' | 'vote' | 'week' | 'world_clock' | 'unsupported';
export declare type ColumnProperty = 'title' | 'description';
//# sourceMappingURL=column.d.ts.map