/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
import { ItemFields, ItemReturnType, SelectItemReturnType } from '../item';
export declare type SelectBoardRelationValueReturnType<S extends BoardRelationValueFields> = {
    [P in keyof S]: P extends 'linked_items' ? Array<SelectItemReturnType<NonNullable<S['linked_items']>['fields']>> : P extends keyof BoardRelationValueReturnType ? BoardRelationValueReturnType[P] : BoardRelationValueReturnType;
};
export interface BoardRelationValueFields extends ColumnValueFields {
    /**
     * The names of the linked items, separated by commas.
     */
    display_value?: boolean;
    /**
     * The unique identifiers of linked items.
     */
    linked_item_ids?: boolean;
    /**
     * The linked items.
     */
    linked_items?: {
        fields: ItemFields;
    };
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface BoardRelationValueReturnType extends ColumnReturnType {
    /**
     * The names of the linked items, separated by commas.
     */
    display_value?: string | null;
    /**
     * The unique identifiers of linked items.
     */
    linked_item_ids?: number[] | null;
    /**
     * The linked items.
     */
    linked_items?: ItemReturnType[] | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=boardRelationValue.d.ts.map