/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectColorPickerValueReturnType<S extends ColorPickerValueFields> = {
    [P in keyof S]: P extends keyof ColorPickerValueReturnType ? ColorPickerValueReturnType[P] : ColorPickerValueReturnType;
};
export interface ColorPickerValueFields extends ColumnValueFields {
    /**
     * The column's HEX color value.
     */
    color?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface ColorPickerValueReturnType extends ColumnReturnType {
    /**
     * The column's HEX color value.
     */
    color?: string | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=colorPickerValue.d.ts.map