/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
import { SelectUserReturnType, UserFields, UserReturnType } from '../user';
export declare type SelectCreationLogValueReturnType<S extends CreationLogValueFields> = {
    [P in keyof S]: P extends 'creator' ? SelectUserReturnType<NonNullable<S['creator']>['fields']> : P extends keyof CreationLogValueReturnType ? CreationLogValueReturnType[P] : CreationLogValueReturnType;
};
export interface CreationLogValueFields extends ColumnValueFields {
    /**
     * The item's creation date.
     */
    created_at?: boolean;
    /**
     * The item's creator.
     */
    creator?: {
        fields: UserFields;
    };
    /**
     * The unique identifier of the item's creator.
     */
    creator_id?: boolean;
}
export interface CreationLogValueReturnType extends ColumnReturnType {
    /**
     * The item's creation date.
     */
    created_at?: string | null;
    /**
     * The item's creator.
     */
    creator?: UserReturnType | null;
    /**
     * The unique identifier of the item's creator.
     */
    creator_id?: number | null;
}
//# sourceMappingURL=creationLogValue.d.ts.map