/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectDateValueReturnType<S extends DateValueFields> = {
    [P in keyof S]: P extends keyof DateValueReturnType ? DateValueReturnType[P] : DateValueReturnType;
};
export interface DateValueFields extends ColumnValueFields {
    /**
     * The column's date value.
     */
    date?: boolean;
    /**
     * The selected icon as a string.
     */
    icon?: boolean;
    /**
     * The column's time value.
     */
    time?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface DateValueReturnType extends ColumnReturnType {
    /**
     * The column's date value.
     */
    date?: string | null;
    /**
     * The selected icon as a string.
     */
    icon?: string | null;
    /**
     * The column's time value.
     */
    time?: string | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=dateValue.d.ts.map