/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
import { OperationFields } from '../typeOptions';
export declare type SelectDropdownValueReturnType<S extends DropdownValueFields> = {
    [P in keyof S]: P extends 'values' ? Array<SelectDropdownValueOptionReturnType<NonNullable<S['values']>['fields']>> : P extends keyof DropdownValueReturnType ? DropdownValueReturnType[P] : DropdownValueReturnType;
};
export interface DropdownValueFields extends ColumnValueFields {
    /**
     * The selected dropdown values.
     */
    values?: {
        fields: DropdownValueOptionFields;
    };
}
export interface DropdownValueReturnType extends ColumnReturnType {
    /**
     * The selected dropdown values.
     */
    values?: DropdownValueOptionReturnType[] | null;
}
export declare type SelectDropdownValueOptionReturnType<S extends DropdownValueOptionFields> = {
    [P in keyof S]: P extends keyof DropdownValueOptionReturnType ? DropdownValueOptionReturnType[P] : DropdownValueOptionReturnType;
};
export interface DropdownValueOptionFields extends OperationFields {
    /**
     * The dropdown item's unique identifier.
     */
    id?: boolean;
    /**
     * The dropdown item's label.
     */
    label?: boolean;
}
export interface DropdownValueOptionReturnType {
    /**
     * The dropdown item's unique identifier.
     */
    id?: number | null;
    /**
     * The dropdown item's label.
     */
    label?: string | null;
}
//# sourceMappingURL=dropdownValue.d.ts.map