/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectEmailValueReturnType<S extends EmailValueFields> = {
    [P in keyof S]: P extends keyof EmailValueReturnType ? EmailValueReturnType[P] : EmailValueReturnType;
};
export interface EmailValueFields extends ColumnValueFields {
    /**
     * The column's email value.
     */
    email?: boolean;
    /**
     * The column's text value. Please note that this may be the same as the email value if the user didn't enter any text.
     */
    label?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface EmailValueReturnType extends ColumnReturnType {
    /**
     * The column's email value.
     */
    email?: string | null;
    /**
     * The column's text value. Please note that this may be the same as the email value if the user didn't enter any text.
     */
    label?: string | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=emailValue.d.ts.map