/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectHourValueReturnType<S extends HourValueFields> = {
    [P in keyof S]: P extends keyof HourValueReturnType ? HourValueReturnType[P] : HourValueReturnType;
};
export interface HourValueFields extends ColumnValueFields {
    /**
     * The column's hour value.
     */
    hour?: boolean;
    /**
     * The column's minute value.
     */
    minute?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface HourValueReturnType extends ColumnReturnType {
    /**
     * The column's hour value.
     */
    hour?: number | null;
    /**
     * The column's minute value.
     */
    minute?: number | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=hourValue.d.ts.map