/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectItemIdValueReturnType<S extends ItemIdValueFields> = {
    [P in keyof S]: P extends keyof ItemIdValueReturnType ? ItemIdValueReturnType[P] : ItemIdValueReturnType;
};
export interface ItemIdValueFields extends ColumnValueFields {
    /**
     * The item's unique identifier.
     */
    item_id?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface ItemIdValueReturnType extends ColumnReturnType {
    /**
     * The item's unique identifier.
     */
    item_id?: number | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=itemIdValue.d.ts.map