/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
import { OperationFields } from '../typeOptions';
export declare type SelectPeopleValueReturnType<S extends PeopleValueFields> = {
    [P in keyof S]: P extends 'persons_and_teams' ? Array<SelectPeopleEntityReturnType<NonNullable<S['persons_and_teams']>['fields']>> : P extends keyof PeopleValueReturnType ? PeopleValueReturnType[P] : PeopleValueReturnType;
};
export interface PeopleValueFields extends ColumnValueFields {
    /**
     * 	The column's people or team values.
     */
    persons_and_teams?: {
        fields: PeopleEntityFields;
    };
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface PeopleValueReturnType extends ColumnReturnType {
    /**
     * 	The column's people or team values.
     */
    persons_and_teams?: PeopleEntityReturnType[] | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
export declare type SelectPeopleEntityReturnType<S extends PeopleEntityFields> = {
    [P in keyof S]: P extends keyof PeopleEntityReturnType ? PeopleEntityReturnType[P] : PeopleEntityReturnType;
};
export interface PeopleEntityFields extends OperationFields {
    /**
     * Id of the entity: a person or a team.
     */
    id?: boolean;
    /**
     * Type of entity.
     */
    kind?: boolean;
}
export interface PeopleEntityReturnType {
    /**
     * Id of the entity: a person or a team.
     */
    id?: number | null;
    /**
     * Type of entity.
     */
    kind?: 'person' | 'team' | null;
}
//# sourceMappingURL=peopleValue.d.ts.map