/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectPhoneValueReturnType<S extends PhoneValueFields> = {
    [P in keyof S]: P extends keyof PhoneValueReturnType ? PhoneValueReturnType[P] : PhoneValueReturnType;
};
export interface PhoneValueFields extends ColumnValueFields {
    /**
     * The column's ISO-2 country code value.
     */
    country_short_name?: boolean;
    /**
     * The column's phone value.
     */
    phone?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface PhoneValueReturnType extends ColumnReturnType {
    /**
     * The column's ISO-2 country code value.
     */
    country_short_name?: string | null;
    /**
     * The column's phone value.
     */
    phone?: string | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=phoneValue.d.ts.map