/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectRatingValueReturnType<S extends RatingValueFields> = {
    [P in keyof S]: P extends keyof RatingValueReturnType ? RatingValueReturnType[P] : RatingValueReturnType;
};
export interface RatingValueFields extends ColumnValueFields {
    /**
     * The column's rating value.
     */
    rating?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface RatingValueReturnType extends ColumnReturnType {
    /**
     * The column's rating value.
     */
    rating?: number | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=ratingValue.d.ts.map