/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectWeekValueReturnType<S extends WeekValueFields> = {
    [P in keyof S]: P extends keyof WeekValueReturnType ? WeekValueReturnType[P] : WeekValueReturnType;
};
export interface WeekValueFields extends ColumnValueFields {
    /**
     * The week's end date.
     */
    end_date?: boolean;
    /**
     * The column's start date.
     */
    start_date?: boolean;
}
export interface WeekValueReturnType extends ColumnReturnType {
    /**
     * The week's end date.
     */
    end_date?: string | null;
    /**
     * The column's start date.
     */
    start_date?: string | null;
}
//# sourceMappingURL=weekValue.d.ts.map