/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ColumnReturnType } from '../column';
import { ColumnValueFields } from '../columnValue';
export declare type SelectWorldClockValueReturnType<S extends WorldClockValueFields> = {
    [P in keyof S]: P extends keyof WorldClockValueReturnType ? WorldClockValueReturnType[P] : WorldClockValueReturnType;
};
export interface WorldClockValueFields extends ColumnValueFields {
    /**
     * The column's timezone.
     */
    timezone?: boolean;
    /**
     * The column's last updated date.
     */
    updated_at?: boolean;
}
export interface WorldClockValueReturnType extends ColumnReturnType {
    /**
     * The column's timezone.
     */
    timezone?: string | null;
    /**
     * The column's last updated date.
     */
    updated_at?: string | null;
}
//# sourceMappingURL=worldClockValue.d.ts.map