import { OperationFields } from './typeOptions';
export declare type SelectTagReturnType<S extends TagFields> = {
    [P in keyof S]: P extends keyof TagReturnType ? TagReturnType[P] : TagReturnType;
};
export interface TagFields extends OperationFields {
    /**
     * The tag's color.
     */
    color?: boolean;
    /**
     * The tag's unique identifier.
     */
    id?: boolean;
    /**
     * The tag's name.
     */
    name?: boolean;
}
export interface TagReturnType {
    /**
     * The tag's color.
     */
    color: string;
    /**
     * The tag's unique identifier.
     */
    id: number;
    /**
     * The tag's name.
     */
    name: string;
}
export interface BoardTagFields extends OperationFields {
    tags: {
        fields: TagFields;
    };
}
//# sourceMappingURL=tag.d.ts.map