/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { OperationFields } from './typeOptions';
export declare type SelectVersionReturnType<S extends VersionFields> = {
    [P in keyof S]: P extends keyof VersionReturnType ? VersionReturnType[P] : VersionReturnType;
};
export interface VersionFields extends OperationFields {
    /**
     * The type of API version: stable, deprecated, or preview.
     */
    kind?: boolean;
    /**
     * The API version name as a string.
     */
    value?: boolean;
    /**
     * The display name of the API version.
     */
    display_name?: boolean;
}
export interface VersionReturnType {
    /**
     * The type of API version: stable, deprecated, or preview.
     */
    kind: VersionKind | null;
    /**
     * The API version name as a string.
     */
    value: string | null;
    /**
     * The display name of the API version.
     */
    display_name: string | null;
}
export declare type VersionKind = 'release_candidate' | 'current' | 'maintenance' | 'deprecated';
//# sourceMappingURL=version.d.ts.map