import { OperationFields } from './typeOptions';
export declare type SelectWebhookReturnType<S extends WebhookFields> = {
    [P in keyof S]: P extends keyof WebhookReturnType ? WebhookReturnType[P] : WebhookReturnType;
};
export interface WebhookFields extends OperationFields {
    /**
     * The unique identifier of the webhook's board.
     */
    board_id?: boolean;
    /**
     Stores metadata about what specific actions will trigger the webhook.
     */
    config?: boolean;
    /**
     * The event the webhook listens to:
     */
    event?: boolean;
    /**
     * The webhook's unique identifier.
     */
    id?: boolean;
}
export interface WebhookReturnType {
    /**
     * The unique identifier of the webhook's board.
     */
    board_id: number | null;
    /**
    Stores metadata about what specific actions will trigger the webhook.
     */
    config: string | null;
    /**
     * The event the webhook listens to:
     */
    event: WebhookEventType | null;
    /**
     * The webhook's unique identifier.
     */
    id: number;
}
export declare type WebhookEventType = 'change_column_value' | 'change_status_column_value' | 'change_subitem_column_value' | 'change_specific_column_value' | 'change_name' | 'create_item' | 'item_archived' | 'item_deleted' | 'item_moved_to_any_group' | 'item_moved_to_specific_group' | 'item_restored' | 'create_subitem' | 'change_subitem_name' | 'move_subitem' | 'subitem_archived' | 'subitem_deleted' | 'create_column' | 'create_update' | 'edit_update' | 'delete_update' | 'create_subitem_update';
//# sourceMappingURL=webhook.d.ts.map