import { OperationFields } from './typeOptions';
export declare type SelectWorkspaceIconReturnType<S extends WorkspaceIconFields> = {
    [P in keyof S]: P extends keyof WorkspaceIconReturnType ? WorkspaceIconReturnType[P] : WorkspaceIconReturnType;
};
export interface WorkspaceIconFields extends OperationFields {
    /**
     * The icon color in hex value. Used as a background for the image.
     */
    color?: boolean;
    /**
     * The public image URL, which is temporary in the case of a file that was uploaded by the user, so you'll need to pull a new version at least once an hour.
In case it is null, you can use the first letter of the workspace name.
     */
    image?: boolean;
}
export interface WorkspaceIconReturnType {
    /**
     * The icon color in hex value. Used as a background for the image.
     */
    color: string | null;
    /**
     * The public image URL, which is temporary in the case of a file that was uploaded by the user, so you'll need to pull a new version at least once an hour.
In case it is null, you can use the first letter of the workspace name.
     */
    image: string | null;
}
//# sourceMappingURL=workspaceIcon.d.ts.map