import { ErrorStrategyBuilder } from './builders/errorStrategy';
;
export class MondayError extends Error {
    constructor(response, message) {
        super(message);
        this.response = response;
        this.name = 'MondayError';
    }
}
export const customErrorHandlers = [{
        errorName: 'MondayError',
        handlerName: 'handleMondayError',
        processResponse: async (res) => {
            var _a, _b;
            const isError = (body) => !!body.error_message || !!body.errors;
            if (res.ok) {
                const body = await res.json();
                if (body) {
                    if (isError(body)) {
                        const message = (_b = (body.error_message || ((_a = body.errors) === null || _a === void 0 ? void 0 : _a.map(e => e.message).join(', ')))) !== null && _b !== void 0 ? _b : '';
                        throw new MondayError(res, message);
                    }
                }
            }
        }
    }];
export const errorStrategyBuilderConstructor = () => new ErrorStrategyBuilder();
