/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { ErrorStrategyOption } from '../errorStrategy';
import { HeadersOption } from '@managed-api/commons-core';
import { SelectUserReturnType, UserFields, UserReturnType } from '../definitions/user';
import { ComplexityFields, ComplexityOption, ComplexityReturnType } from '../definitions/complexity';
export interface GetUserDetailsRequest extends HeadersOption, ErrorStrategyOption, ComplexityOption {
    fields: UserFields;
    complexity?: ComplexityFields;
}
export interface GetUserDetailsResponseOK<S extends GetUserDetailsRequest = GetUserDetailsRequest> {
    data: {
        me: SelectUserReturnType<S['fields']>;
        complexity?: ComplexityReturnType;
    };
    account_id: number;
}
export interface GetUserDetailsFullResponseOK {
    data: {
        me: UserReturnType;
        complexity?: ComplexityReturnType;
    };
    account_id: number;
}
//# sourceMappingURL=me.d.ts.map